Chuyển đến nội dung
Diễn đàn CADViet

Bảng xếp hạng


Nội dung phổ biến

Hiển thị nội dung có danh tiếng cao nhất trên 24/03/2021 trong tất cả các lĩnh vực

  1. 1 điểm
    Viết riêng cho lwpolyline, sửa ngại lắm: (defun c:test ( / F FN SS) (vl-load-com) (defun ss->list (ss) (mapcar 'cadr (vl-remove-if '(lambda (e) (/= 'ename (type (cadr e))) ) (ssnamex ss)) ) ) (defun pl_vertexs (ent) (mapcar 'cdr (vl-remove-if '(lambda (e) (/= 10 (car e))) (entget ent)) ) ) (setq ss (ssget '((0 . "LWPOLYLINE")))) (setq ss (ss->list ss)) (setq fn (getfiled "Text File" "" "txt" 1)) (setq f (open fn "w")) (foreach n ss (progn (WRITE-LINE "lwpolyline" f) (foreach m (pl_vertexs n) (WRITE-LINE (strcat (rtos (cadr m)) "\t" (rtos (car m))) f) );for2 );progn );for1 (close f) )
  2. 1 điểm
    Bạn xem cái này được không: (DEFUN c:test7 (/ L1 L2 LS SS) (DEFUN LM:ListDifference (l1 l2) (VL-REMOVE-IF '(LAMBDA (x) (MEMBER x l2)) l1) ) (DEFUN dxf_ent (dxf ent) (CDR (ASSOC dxf (ENTGET ent))) ) (DEFUN ss->list (ss / ls) (FOREACH n (SSNAMEX ss) (IF (= 'ename (TYPE (CADR n))) (SETQ ls (APPEND ls (LIST (CADR n)))) ) ) ls ) (DEFUN phuongtrinhdt (ent / p a x y) (SETQ p (dxf_ent 10 ent) a (dxf_ent 50 ent)) (SETQ x (CAR p) y (CADR p)) (- y (* x (/ (SIN a) (COS a)) ) ) ) (DEFUN trungduongthang (ent ls / tmp) (SETQ tmp nil) (FOREACH n ls (IF (= (phuongtrinhdt ent) (phuongtrinhdt n)) (SETQ tmp T)) ) tmp ) (SETQ ss (SSGET '((0 . "*DIMENSION*")))) (SETQ ls (ss->list ss)) (SETQ l1 (LIST)) (FOREACH n ls (IF (NOT (trungduongthang n (VL-REMOVE n ls))) (SETQ l1 (APPEND l1 (LIST n))) ) ) (SETQ l2 (LM:ListDifference ls l1)) ;; l2 là list những dim ngang hàng nhé bạn. ;; (FOREACH n l2 (ENTDEL n)) (foreach n l2 (ssdel n ss)) (command "copy" ss "" pause pause "") )
  3. 1 điểm
    Không biết cách của Danh Cong với (ssname ss 0) có ra cùng 1 đối tượng không nhỉ?
  4. 1 điểm
    Phần 1 : Mình hay lấy kiểu này hơn (Setq ss (acet-ss-to-list (ssget '((0 . "DIMENSION"))))) Lấy phần tử đầu tiên (Setq N0 (nth 0 ss)) Phần 2 : Chịu
  5. -1 điểm
    mọi người cho em hỏi tại sao xuất trắc dọc ra nó bị vậy ạ
  6. -1 điểm
    Trước tôi có download 1 lisp của bác nào đó trên forum (xin lỗi bác không nhớ tên), dùng rất ok A. Tác dụng của lisp: chọn N pline hoặc N đường khép kín ==> lisp tự động thống kê ra toạ độ vào file txt để copy vào excel B. Nhờ các bác thêm hộ 1 chức năng là nếu như chọn cùng lúc "N" pline thì giữa toạ độ của "N" pline đấy nó sẽ có 1 dòng cách trắng để phân biệt toạ độ của các đường Cám ơn các bác nhiều! (lisp đã đính kèm ở dưới) xuat toa do sang txt v2 (lenh tff).lsp
  7. -1 điểm
    Chào mọi người. Thứ nhất: Dùng hàm gì để lấy đối tượng đầu tiên trong tập chọn này ạ(đối tượng đầu tiên khi mình chọn) (setq ss (ssget '((0 . "DIMENSION")))) Thứ hai: làm thế nào để loại bỏ các dim cùng hàng với nhau ạ(với tất cả các phương) Em xin Cảm ơn!
Bảng thành tích này được đặt thành Tp. Hồ Chí Minh /GMT +07:00


  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×